<template>
  <header :class="$style.header">
    <the-nav-bar>
      <template #logo>{{ projectName | upperCase }}</template>
      <template #nav-items>
        <the-nav-item href="Review">Review</the-nav-item>
        <the-nav-item href="Requests">Request</the-nav-item>
        <the-nav-item href="ManageData">Manage</the-nav-item>
        <the-action-bar>
          <div :class="$style.actionBarItem">
            <base-icon name="notification" />
          </div>
          <div :class="$style.actionBarItem">
            <base-icon name="user" />
          </div>
          <div :class="$style.actionBarItem">
            <base-icon name="setting" />
          </div>
        </the-action-bar>
      </template>
    </the-nav-bar>
  </header>
</template>

<script lang="ts">
import Vue from "vue";
// components
import TheNavBar from "@/components/layout/TheNavBar/TheNavBar";
import TheNavItem from "@/components/layout/TheNavItem/TheNavItem";
import TheActionBar from "@/components/layout/TheActionBar/TheActionBar";
import BaseIcon from "@/components/base/BaseIcon";
//config
import config from "@/config";

export default Vue.extend({
  name: "TheHeader",
  components: {
    TheNavBar,
    TheNavItem,
    TheActionBar,
    BaseIcon
  },
  data: function() {
    return {
      projectName: config.general.title
    };
  }
});
</script>

<style module lang="scss">
.header {
  box-shadow: $shadow--default;
}
.actionBarItem {
  padding: 0 1rem;
  color: $color--primary;
  &:first-child {
    padding-left: 1rem;
  }
}

@media screen and (max-width: $device-size--desktop-laptop) {
  .actionBarItem {
    padding-right: 0;
  }
}
@media screen and (max-width: $device-size--tablet) {
  .actionBarItem {
    padding-right: 0;
  }
}
</style>
